Bug 389791 - "PQI IDE DiskOnModule" doesn't work with pata_via
"PQI IDE DiskOnModule" doesn't work with pata_via
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 17:01 EST by Lubomir Kundrak
Modified: 2007-12-20 14:56 EST (History)
0 users

See Also:
Fixed In Version: 2.6.23.8-63.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-05 15:43:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-18 17:01:10 EST
Description of problem:

The pata_via module does not properly detect my Flash ATA drive.

Version-Release number of selected component (if applicable):

I tried f8 and f7 install kernels.

Actual results:

(with f7 install kernel)

<7>libata version 2.20 loaded.
<7>pata_via 0000:00:11.1: version 0.2.1
<6>ACPI: PCI Interrupt 0000:00:11.1[A] -> Link [LNKA] -> GSI 11 (level, low) ->
IRQ 11
<6>PCI: VIA VLink IRQ fixup for 0000:00:11.1, from 255 to 11
<6>ata1: PATA max UDMA/133 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x0001e900 irq 14
<6>ata2: PATA max UDMA/133 cmd 0x00010170 ctl 0x00010376 bmdma 0x0001e908 irq 15
<6>scsi0 : pata_via
<4>ATA: abnormal status 0x8 on port 0x000101f7
<4>ATA: abnormal status 0x8 on port 0x000101f7
<6>ata1.00: ATA-0: PQI IDE DiskOnModule, ra03.00f, max PIO2
<6>ata1.00: 64000 sectors, multi 0: LBA 
<3>ata1.00: failed to set xfermode (err_mask=0x1)
<4>ata1: failed to recover some devices, retrying in 5 secs
<4>ATA: abnormal status 0x8 on port 0x000101f7
<4>ATA: abnormal status 0x8 on port 0x000101f7
<3>ata1.00: failed to set xfermode (err_mask=0x1)
<4>ata1.00: limiting speed to PIO1
<4>ata1: failed to recover some devices, retrying in 5 secs
<4>ATA: abnormal status 0x8 on port 0x000101f7
<4>ATA: abnormal status 0x8 on port 0x000101f7
<3>ata1.00: failed to set xfermode (err_mask=0x1)
<4>ata1.00: disabled
<6>scsi1 : pata_via
<7>ata2: port disabled. ignoring.
<6>eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
<4>BUG: warning at kernel/softirq.c:138/local_bh_enable() (Not tainted)
<4> [<c0427fe3>] local_bh_enable+0x45/0x92
<4> [<c05f8f1c>] cond_resched_softirq+0x2c/0x42
<4> [<c0593a7a>] release_sock+0x4f/0x9d
<4> [<c05c03e4>] tcp_recvmsg+0x8c5/0x9d1
<4> [<c0427aac>] current_fs_time+0x41/0x46
<4> [<c0593421>] sock_common_recvmsg+0x3e/0x54
<4> [<c05914b0>] sock_aio_read+0xfc/0x108
<4> [<c04725a3>] do_sync_read+0xc7/0x10a
<4> [<c0433d61>] autoremove_wake_function+0x0/0x35
<4> [<c0472e57>] vfs_read+0xba/0x158
<4> [<c04732a1>] sys_read+0x41/0x67
<4> [<c0404ff0>] syscall_call+0x7/0xb
<4> =======================

(btw. I believe the BUG is not related. Please clone the bug if it needs to be
fixed.

Additional info:

This is the hardware I had the problem with:
http://www.neoware.com/products/hardware/thin_client_c50_linux.php

The flash device is not a compact flash, at least is doesn't look like one. It
is just a board with a flash circuit.
Comment 1 Lubomir Kundrak 2007-11-18 17:03:22 EST
This is from old driver in NeoLinux that came with the machine:

=== /proc/ide/ide0/hda/geometry ===
physical     500/8/16
logical      500/8/16
=== /proc/ide/ide0/hda/capacity ===
64000
=== /proc/ide/ide0/hda/cache ===
1
=== /proc/ide/ide0/hda/settings ===
name                    value           min             max             mode
----                    -----           ---             ---             ----
acoustic                0               0               254             rw
address                 0               0               2               rw
bios_cyl                500             0               65535           rw
bios_head               8               0               255             rw
bios_sect               16              0               63              rw
bswap                   0               0               1               r
current_speed           0               0               70              rw
failures                0               0               65535           rw
init_speed              0               0               70              rw
io_32bit                0               0               3               rw
keepsettings            0               0               1               rw
lun                     0               0               7               rw
max_failures            1               0               65535           rw
multcount               0               0               1               rw
nice1                   1               0               1               rw
nowerr                  0               0               1               rw
number                  0               0               3               rw
pio_mode                write-only      0               255             w
unmaskirq               0               0               1               rw
using_dma               0               0               1               rw
wcache                  0               0               1               rw
=== /proc/ide/ide0/hda/model ===
PQI IDE DiskOnModule
=== /proc/ide/ide0/hda/media ===
disk
=== /proc/ide/ide0/hda/identify ===
045a 01f4 0000 0008 0000 0210 0010 0000
fa00 0000 2020 2020 2020 2020 2020 2020
2020 2020 2020 2020 0002 0002 0004 7261
3033 2e30 3066 5051 4920 4944 4520 4469
736b 4f6e 4d6f 6475 6c65 2020 2020 2020
2020 2020 2020 2020 2020 2020 2020 0001
0000 0200 0000 0200 0000 0001 01f4 0008
0010 fa00 0000 0100 fa00 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
=== /proc/ide/ide0/hda/driver ===
ide-disk version 1.18
=== /proc/ide/ide0/model ===
generic
=== /proc/ide/ide0/mate ===
(none)
=== /proc/ide/ide0/channel ===
0
=== /proc/ide/drivers ===
ide-disk version 1.18
Comment 2 Chuck Ebbert 2007-11-21 14:54:27 EST
Pssibly fixed by 0bc2a79a2002e3cc1b514c100b6c576983da6a90
Comment 3 Lubomir Kundrak 2007-11-21 15:26:03 EST
Chuck: Is that commit in any kernel that is already built in koji so I can try?
Comment 4 Chuck Ebbert 2007-11-21 15:32:27 EST
(In reply to comment #3)
> Chuck: Is that commit in any kernel that is already built in koji so I can try?

No, I just found it today.
Comment 5 Lubomir Kundrak 2007-11-25 15:12:56 EST
Thank you, good fairy, the patch really fixes the issue.
Comment 6 Chuck Ebbert 2007-11-28 19:25:56 EST
Fix in F8 CVS
Comment 7 Fedora Update System 2007-12-12 15:00:17 EST
kernel-2.6.23.9-85.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'
Comment 8 Fedora Update System 2007-12-20 14:56:17 EST
kernel-2.6.23.9-85.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.